API referenceDeliverability

List DNS advisor reports

GET/deliverability/dns

The latest SPF, DKIM, DMARC and MX report per domain.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/deliverability/dns"
{  "object": "list",  "data": [    {      "object": "dns_report",      "domain_id": "string",      "domain": "string",      "status": "healthy",      "checked_at": "2019-08-24T14:15:22Z",      "checks": [        {          "id": "string",          "status": "pass",          "summary": "string",          "names": [            "string"          ],          "found": [            "string"          ]        }      ],      "recommendations": [        {          "code": "string",          "check": "string",          "severity": "critical",          "title": "string",          "detail": "string",          "record": {            "type": "string",            "name": "string",            "value": "string",            "priority": -9007199254740991          }        }      ]    }  ]}